Print Friendly

# Class Ext.form.VTypes

Package: | Ext.form
Class: | VTypes
Extends: | Object
Defined In: | VTypes.js

Overrideable validation definitions. The validations provided are basic and intended to be easily customizable and extended.
This class is a singleton and cannot be created directly.
Properties - Methods - Events

## Public Properties

Property | Defined By
--- | ---
| alphaMask : RegExp | VTypes
The keystroke filter mask to be applied on alpha input
| alphaText : String | VTypes
The error text to display when the alpha validation function returns false
| alphanumMask : RegExp | VTypes
The keystroke filter mask to be applied on alphanumeric input
| alphanumText : String | VTypes
The error text to display when the alphanumeric validation function returns false
| emailMask : RegExp | VTypes
The keystroke filter mask to be applied on email input
| emailText : String | VTypes
The error text to display when the email validation function returns false
| urlText : String | VTypes
The error text to display when the url validation function returns false

## Public Methods

Method | Defined By
--- | ---
| alpha(`String value`) : void | VTypes
The function used to validate alpha values
| alphanum(`String value`) : void | VTypes
The function used to validate alphanumeric values
| email(`String value`) : void | VTypes
The function used to validate email addresses
| url(`String value`) : void | VTypes
The function used to validate urls

## Public Events

This class has no public events.

## Property Details

### alphaMask

`public RegExp alphaMask`
The keystroke filter mask to be applied on alpha input
This property is defined by VTypes.

### alphaText

`public String alphaText`
The error text to display when the alpha validation function returns false
This property is defined by VTypes.

### alphanumMask

`public RegExp alphanumMask`
The keystroke filter mask to be applied on alphanumeric input
This property is defined by VTypes.

### alphanumText

`public String alphanumText`
The error text to display when the alphanumeric validation function returns false
This property is defined by VTypes.

### emailMask

`public RegExp emailMask`
The keystroke filter mask to be applied on email input
This property is defined by VTypes.

### emailText

`public String emailText`
The error text to display when the email validation function returns false
This property is defined by VTypes.

### urlText

`public String urlText`
The error text to display when the url validation function returns false
This property is defined by VTypes.

## Method Details

### alpha

`public function alpha(`String value`)`
The function used to validate alpha values
Parameters:

- `value` : String
  The value

Returns:

- `void`

This method is defined by VTypes.

### alphanum

`public function alphanum(`String value`)`
The function used to validate alphanumeric values
Parameters:

- `value` : String
  The value

Returns:

- `void`

This method is defined by VTypes.

### email

`public function email(`String value`)`
The function used to validate email addresses
Parameters:

- `value` : String
  The email address

Returns:

- `void`

This method is defined by VTypes.

### url

`public function url(`String value`)`
The function used to validate urls
Parameters:

- `value` : String
  The url

Returns:

- `void`

This method is defined by VTypes.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.